## meschach 1.2b

=== debian/changelog ===
meschach (1.2b-19) unstable; urgency=medium

  * meschach is heritage code, no longer conforming with modern C
    standards. Freeze the build standard with -std=gnu17 to avoid
    "old-style function definition" warnings and errors
    (gcc-15 defaults to -std=gnu23). Closes: #1097383
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Sep 2025 00:49:43 +0200

meschach (1.2b-18) unstable; urgency=medium

  * debian patchgcc14_no_implicit_type.patch adds function types
    to avoid gcc-13 implicit declaration errors. Closes: #1077180.
  * remove config.log after dh_clean. Closes: #1046244.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Aug 2024 17:37:29 +0200

meschach (1.2b-17) unstable; urgency=medium

  * debian/tests Depends: gcc | c-compiler

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Feb 2021 23:41:00 +0100

meschach (1.2b-16) unstable; urgency=medium

  * debian/tests: print stderr output from torture test
    (a compilation warning and an explicit stderr test are expected)

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Feb 2021 17:20:53 +0100

meschach (1.2b-15) unstable; urgency=medium

  * Standards-Version: 4.5.1
  * debhelper compatibility level 13
    - Build-Depends: debhelper-compat (= 13)
  * drop Build-Depends: dh-exec.
  * mark libmeschach1.2 as Multi-Arch: same
  * Fix FTCBFS: Let dpkg's buildtools.mk initialize CC.
    Thanks Helmut Grohne. Closes: #982306.
  * transfer maintenance to Debian Science Team
  * update debian/control
    - Homepage: https://maths.anu.edu.au/research/cma-proceedings/meschach-matrix-computations-c
    - salsa repo:  https://salsa.debian.org/science-team/meschach
  * update debian/rules to use dh
    - fix version at 1.2 (otherwise soname is incorrect when built
      from source dir named meschach rather than meschach-1.2b)
    - use package build scripts debian/*.install for clarity
      (no longer needs executable script or dh-exec)
    - skip dh_autoreconf: meschach is not maintained upstream,
      and configure.in no longer functions
    - build with standard dpkg-buildflags
      (provides debug symbols and hardening flags)
  * add debian/tests (autopkgtest), running torture tests
    installed as examples with libmeschach-dev.
    debian/test/makefile adapted from upstream makefile
    - tests executed with "set +e" to ignore error codes, since most
      tests end with mem_info(), which invokes fnprint (returns number
      of characters printed)
    - handle ./torture separately since it writes to stderr.

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Feb 2021 20:15:03 +0100

meschach (1.2b-14) unstable; urgency=medium

  * Debian source format 3.0 (quilt)
  * Debhelper compatibility 10
    - Depends: ${misc:Depends}
    - libmeschach-dev Depends: libmeschach1.2 (= ${binary:Version})
    - debian/rules: use dh_prep instead of dh_clean -k
  * Standards-Version: 4.0.0
    - debian/rules: provide build-arch and build-indep targets
    - place libmeschach-dev in Section libdevel
    - multiarch: place lib files in /usr/lib/$DEB_HOST_MULTIARCH dir
  * Remove debian/preinst: /usr/doc/#PACKAGE# is long gone. Closes: #864685.

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Jul 2017 17:04:21 +0800

meschach (1.2b-13) unstable; urgency=low

  * Standardise package names to normal forms libmeschach-dev and
    libmeschach1. Motivated by libc6 2.5 change of long double from
    64 bit to 124 bit, which requires renaming of library packages
    using long double. I think meschach support for long double was not
    fully completed, but using this opportunity to bring the package naming
    in line with usual Debian conventions. Closes: #430316.
  * Put developer's docs into libmeschach-dev not libmeschach1.
  * Standards version 3.7.2.
  * Use debhelper 5 (set in debian/compat).
  * Use `./macheps` not `macheps` in configure.in, likewise for
    `maxint`. Regenerate configure with autoconf.
  * maxint.c: #include <stdio.h> to define printf.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Jun 2007 00:57:59 +1000

meschach (1.2b-12) unstable; urgency=low

  * Explicitly declared m_free ,v_free, px_free as type int (extern)
    in matrix.h.  Required for compiling with C++.  Closes: #254387.
  * Standards version 3.6.1.

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Jun 2004 20:36:08 +1000

meschach (1.2b-11) unstable; urgency=low

  * Add "Section: devel" to the meschach-dev entry in debian/control so I
    won't get that annoying override warning everytime I upload the package.
    I'll leave the overall Section as "math" for now, although you could
    well argue it belongs in "libs" (cf. blas, lapack).

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Nov 2002 09:11:03 +1100

meschach (1.2b-10) unstable; urgency=low

  * Changed MAXDIM in matrix.h to 10000 instead of 2001, allowing for
    matrices which are 100's of MB in size, rather than only several MB,
    allowing for better use of the capacity of modern machines.
    Done by request of one of my users.  I won't set it to 100000, since
    that would imply matrices tens of GBs in size, which is larger than most
    current PCs' entire memory. If you really need MAXDIM that large,
    recompile the package yourself.
  * Standards version 3.5.8.
  * Use debhelper v4 (just for the hell of it).  i.e. DH_COMPAT=4
  * Cleaned out dh_installinfo, dh_installmanpages from debian/rules.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2002 20:23:03 +1100

meschach (1.2b-9) unstable frozen; urgency=low

  * Corrected Section to math from devel in debian/control.
  * Removed dh_testversion from debian/rules (now deprecated).
  * Removed meschach.postinst, used DH_COMPAT=3 to handle ldconfig.
  * Standards version 3.5.6.0.

 -- Drew Parsons <dparsons@debian.org>  Sun,  9 Sep 2001 16:49:48 +1000

meschach (1.2b-8) unstable frozen; urgency=low

  * New maintainer (closes: #68320, #68321, #80284).

