=== debian/tests/control ===
Tests: meschach-tests
Depends: libmeschach-dev,
 gcc | c-compiler
